package com.yd.api.agms.vo.hiring;

import com.github.pagehelper.PageInfo;
import com.yd.dal.entity.agms.hiring.PractitionerHiringListInfo;

/**
 * @author xxy
 */
public class PractitionerHiringListRequestVO {
    private Long loginId;
    private Long branchId;
    private Long deptId;
    private Long subsystemId;
    private String name;
    private String status;
    //系统标志，区分公司营业部和体系，1，分公司，2营业部，3，S1分部,4,S2体系,5,S3纵队
    private String systemFlag;
    private Long s3Id;
    private Long s2Id;
    private Long s1Id;

    private PageInfo<PractitionerHiringListInfo> pageInfo;

    public PageInfo<PractitionerHiringListInfo> getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(PageInfo<PractitionerHiringListInfo> pageInfo) {
        this.pageInfo = pageInfo;
    }

    @Override
    public String toString() {
        return "PractitionerHiringListRequestVO{" +
                "pageInfo=" + pageInfo +
                '}';
    }

    public Long getBranchId() {
        return branchId;
    }

    public void setBranchId(Long branchId) {
        this.branchId = branchId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getSubsystemId() {
        return subsystemId;
    }

    public void setSubsystemId(Long subsystemId) {
        this.subsystemId = subsystemId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getLoginId() {
        return loginId;
    }

    public void setLoginId(Long loginId) {
        this.loginId = loginId;
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag;
    }

    public Long getS3Id() {
        return s3Id;
    }

    public void setS3Id(Long s3Id) {
        this.s3Id = s3Id;
    }

    public Long getS2Id() {
        return s2Id;
    }

    public void setS2Id(Long s2Id) {
        this.s2Id = s2Id;
    }

    public Long getS1Id() {
        return s1Id;
    }

    public void setS1Id(Long s1Id) {
        this.s1Id = s1Id;
    }
}
